<div class="container">
  <div *ngFor="let product of products" class="card mb-4" >
    <img src="{{product.image}}" class="card-img-top" alt="...">
    <div class="card-body">
      <h5 class="card-title">{{product.productName}}</h5>
      <!-- <p class="card-text">{{product.productDescription}}</p> -->
    </div>
    <ul class="list-group list-group-flush">
      <li class="list-group-item">Prix: {{product.productPrice}}</li>
      <li class="list-group-item">
        <span *ngIf="product.available" class="badge badge-primary">Disponible</span>
        <span *ngIf="!product.available" class="badge badge-warning">Indisponible</span>
      </li>
    </ul>
    <div class="card-body">
      <a routerLink="/products/{{ product.id }}" class="card-link"><button type="button" class="btn btn-info">Plus de details</button></a>
      <a href="#" class="card-link"><button type="button" class="btn btn-dark">Commander</button></a>
    </div>
  </div>
  <button (click)="resetProductsListOffline()" type="button" class="btn btn-danger btn-block mb-4">Reinitialiser la liste</button>
  <button (click)="resetProductsListWebService()" type="button" class="btn btn-warning btn-block mb-4">Recharger la liste</button>
</div>